Subject: [AVT] Handling of missing RTCP ?

From: Belling Thomas <[email-masked]>
Date: Thu, 25 Sep 2003 15:42:10 +0200

Dear all,

RFC 3550 recommends RTCP to be used, but does not mandate that - see Section 6:
"Functions 1-3 [of RTCP] SHOULD be used in all environments, but particularly in the IP multicast environment."

RFC 3550 does not detail how an application should behave if it does not receive RTCP.
I implicitely derive that an application should be prepared not to receive RTCP and continue the session in this case, as long as possible.

I can imagine that certain applications may definitley require RTCP to work, but I assume that a point-to-point SIP telephony does not fall into this category.

Is anybody aware of implementations of SIP telephony that would abort the session if the peer fails to send RTCP?
(I rather suspect that there are implementations around that do not use RTCP at all.)

Thanks for your help, 
Thomas Belling

----------------------------------
Dr. Thomas Belling
Siemens AG           
Sankt-Martinsstr. 76 
D-81542 München Germany
ICM N PG SP ST N1
MCH M 34 307
Tel     +49 89 636 75207
Fax     +49 89 636 75577
Mobile  +49 172 2974678
Email   [email-masked]

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt